package uf2

import java.util.Scanner

/**
 * Función que se encarga de controlar el menu de acierto y fallo y tambien controla el menu en el que el jugador decide si jugar mas o dejar el juego
 * @author Fabio
 * @param words Recibe la lista de palabras
 * @param secretWord String, palabra que tiene que adivinar el usuario
 * @param userWord String, palabra introducida por el usuario
 * @return  Devuelve un Int que determina si el jugador quiere seguir jugando o no
 */
fun playMoreMenu(words: MutableList<String>,secretWord: String,userWord:String): Int {
    val scanner=Scanner(System.`in`)
    var playMore:Int
    if (secretWord==userWord) {println("\u001B[0mACERTASTE")

    }
    else println("\u001B[0mFALLASTE")
    println("\u001B[0m¿Quieres volver a jugar?\n1-Para jugar otra partida\n 2-Para abandonar el juego")
    playMore = scanner.nextInt()
    if (words.isEmpty()) {
        println("Has acertado todas las palabras. INCREIBLE")
    }
    while (playMore > 2 || playMore < 1 && words.isNotEmpty()){
        println("VALOR INCORRECTO VUELVE A INTRODUCIR")
        playMore = scanner.nextInt()
    }
    return playMore
}
/**
 * Función que se encarga  de imprimir el menu para guiar al usuario
 * @author Fabio
 * @param turnos, recibe los turnos actuales para comunicarselos al usuario
 */
fun printWordleMenu(turnos:Int){
    println("\u001b[0m Introduce una palabra de 5 letras")
    println("\u001b[0m Turns: " + turnos)
}
/**
 * Función que se encarga de recibir la lista de palabras recibidas el usuario y las devuelve en forma de tablero y con los colores correspondientes
 * @author Fabio
 * @param guess MutableList<String>, lista de las palabras introducidas por el usuario
 * @param secretWord String, palabra que tiene que adivinar el usuario
 */
fun checkWord(guess:MutableList<String>,secretWord:String) {
    var replica=secretWord
    fun fg(n: Int) = "\u001b[38;5;${n}m"
    val green = "\u001B[32m"
    val yellow = fg(178)
    val grey = "\u001B[0;37m"
    for (palabra in guess) {
        for (letra in 0..secretWord.length - 1) {
            if (palabra[letra] == secretWord[letra]) {
                replica = replica.replace(palabra[letra], '.')
                print(green + palabra[letra])
                print(" ")
            }
            if (palabra[letra] in replica) {
                print(yellow + palabra[letra])
                print(" ")
            }
            if (palabra[letra] !in replica && replica[letra] !== '.') {
                print(grey + palabra[letra])
                print(" ")
            }

        }
        println()
         replica=secretWord
    }
}
/**
 * Función que se encarga de calcular y imprimir las estadísticas finales del jugador/usuario
 * @author Fabio
 * @param partidasJugadas Int, el número de partidas jugadas por el usuario
 * @param rachaMasAlta Int, La racha mas alta del jugador
 * @param paraulesResoltes Int, numero de palabras que ha resuelto
 * @param paraulesNoResoltes Int, numero de palabras que no ha acertado
 */
fun printStats(partidasJugadas:Int,rachaMasAlta:Int,paraulesResoltes:Int,paraulesNoResoltes:Int,itsTheTurnOfGuess: MutableList<Int>){
    var porcentajeAcierto = (paraulesResoltes*100)/partidasJugadas
    if (paraulesResoltes==0){porcentajeAcierto=0
    }
    println("### ESTADISTICAS ###\nPartidas Jugadas: ${partidasJugadas}\nPalabras Acertadas:${paraulesResoltes} \nPalabras Falladas:${paraulesNoResoltes}\nPorcentaje de acierto:${porcentajeAcierto}%\nRacha Mas Alta:${rachaMasAlta} palabras")
    if (paraulesResoltes==0){
        println("")
    }else {
        println("Primer intento: " + (itsTheTurnOfGuess[0] * 100) / paraulesResoltes + "%")
        println("Segundo intento: " + (itsTheTurnOfGuess[1] * 100) / paraulesResoltes + "%")
        println("Tercer intento: " + (itsTheTurnOfGuess[2] * 100) / paraulesResoltes + "%")
        println("Cuarto intento: " + (itsTheTurnOfGuess[3] * 100) / paraulesResoltes + "%")
        println("Quinto intento: " + (itsTheTurnOfGuess[4] * 100) / paraulesResoltes + "%")
        println("Sexto intento: " + (itsTheTurnOfGuess[5] * 100) / paraulesResoltes + "%")
    }
}

/**
 * Función que recibe la lista y dependiendo del turno que reciba sumará a esa posición un acierto para poder poder calcular las estadísticas por turno del jugador
 * @author Fabio
 * @param turnos Int, turno en el que se ha acertado la palabra
 * @param itsTheTurnOfGuess MutableList<Int>, Lista la cual se modifica y contiene los aciertos en el turno o posicion en la lista correspondiente
 * @return  Devuelve la lista actualizada
 */
fun turnGuess(itsTheTurnOfGuess:MutableList<Int>,turnos: Int): MutableList<Int> {

    when(turnos){
        5 -> itsTheTurnOfGuess[0]++
        4 -> itsTheTurnOfGuess[1]++
        3 -> itsTheTurnOfGuess[2]++
        2 -> itsTheTurnOfGuess[3]++
        1 -> itsTheTurnOfGuess[4]++
        0 -> itsTheTurnOfGuess[5]++
    }
    return itsTheTurnOfGuess
}
/**
 * Función que se encarga de hacer uso de todas las funciones para crear y controlar el funcionamiento del juego
 * @author Fabio
 */
fun wordleGame(){
    var itsTheTurnOfGuess= mutableListOf<Int>(0,0,0,0,0,0)
    var partidasJugadas=0
    var paraulesResoltes=0
    var paraulesFallades=0
    var rachaActual=0
    var rachaMasAlta=0
    val words= wordList()
    var secretWord=words.random()
    val tablero = mutableListOf<String>()
    var turn = 6
    var userWord:String
    do {
        turn=6
        tablero.clear()
        words.remove(secretWord)
        secretWord=words.random()
        do {
            println(secretWord)
            printWordleMenu(turn)
            userWord = readln()
            while (userWord.length != 5) {
                printWordleMenu(turn)
                userWord = readln()
            }
            tablero.add(userWord)
            checkWord(tablero, secretWord)
            turn--
        } while (turn > 0 && secretWord != userWord)
        partidasJugadas++
        if (secretWord==userWord){
            rachaActual++
            paraulesResoltes++
            turnGuess(itsTheTurnOfGuess,turn)
        }
        else if
            (rachaActual > rachaMasAlta){ rachaMasAlta = rachaActual
            paraulesFallades++
        }
        else paraulesFallades++
        words.remove(secretWord)
    }while (playMoreMenu(words,secretWord,userWord)!=2)
    printStats(partidasJugadas,rachaMasAlta,paraulesResoltes,paraulesFallades,itsTheTurnOfGuess)
}

fun main(){
    wordleGame()
}
/**
 * Funcion que contiene la lista de palabras
 * @author Fabio
 * @return  Devuelve la lista con las palabras
 */
fun wordList():MutableList<String>{
    val words = mutableListOf(
            "apoyo",
            "apoya",
            "ansia",
            "amigo",
            "armar",
            "antes",
            "ahora",
            "abrir",
            "audaz",
            "ánodo",
            "anulo",
            "anuda",
            "anual",
            "antro",
            "atlas",
            "animo",
            "añejo",
            "anden",
            "andar",
            "anime",
            "anida",
            "anexa",
            "anglo",
            "ángel",
            "anexo",
            "ápice",
            "apios",
            "apilo",
            "apolo",
            "apodo",
            "aovar",
            "aorta",
            "apaño",
            "apaga",
            "apelo",
            "apego",
            "apago",
            "andan",
            "aluza",
            "alzas",
            "alzar",
            "amaña",
            "aludo",
            "aludí",
            "alzos",
            "amago",
            "amaba",
            "aloes",
            "almos",
            "altos",
            "altas",
            "altar",
            "amasa",
            "ancas",
            "ancla",
            "ancho",
            "ananá",
            "ambos",
            "amena",
            "ambas",
            "anudo",
            "almas",
            "asoma",
            "asear",
            "ascua",
            "ataúd",
            "astro",
            "asumo",
            "atajo",
            "artes",
            "ardan",
            "arcos",
            "arcas",
            "árbol",
            "ardor",
            "apuro",
            "apure",
            "árabe",
            "aquel",
            "arena",
            "aroma",
            "armar",
            "arroz",
            "arepa",
            "alfil",
            "ácido",
            "achís",
            "acabo",
            "abuso",
            "acata",
            "adiós",
            "actúo",
            "acuse",
            "abono",
            "ábaco",
            "abeto",
            "álamo",
            "aísla",
            "ajeno",
            "algún",
            "aliño",
            "alias",
            "alfil",
            "álbum",
            "aleta",
            "alelí",
            "airea",
            "adule",
            "afina",
            "afila",
            "aforo",
            "aéreo",
            "adulo",
            "aguzo",
            "ahogo",
            "ágape",
            "agota",
            "agita",
            "agraz",
            "agudo",
            "agria",
            "babas",
            "biche",
            "babel",
            "berro",
            "brote",
            "besos",
            "bacán",
            "bacas",
            "barro",
            "bases",
            "beber",
            "basta",
            "bongó",
            "bache",
            "brisa",
            "badea",
            "bolsa",
            "bolso",
            "broma",
            "badil",
            "bafle",
            "breve",
            "bahía",
            "becas",
            "baile",
            "belga",
            "bajar",
            "biela",
            "bajío",
            "blusa",
            "bajos",
            "bizco",
            "blues",
            "brazo",
            "balad",
            "basar",
            "bigas",
            "bufón",
            "bujía",
            "batey",
            "bombo",
            "bohío",
            "balar",
            "breva",
            "baria",
            "bueno",
            "balas",
            "betel",
            "bicho",
            "baldo",
            "bollo",
            "bofar",
            "balín",
            "balsa",
            "balón",
            "bamba",
            "bambú",
            "bomba",
            "balto",
            "banal",
            "banyo",
            "banzo",
            "bantú",
            "bañar",
            "bañil",
            "barba",
            "baños",
            "barca",
            "beata",
            "bardo",
            "borda",
            "barón",
            "barra",
            "barre",
            "barza",
            "batik",
            "beige",
            "bella",
            "bello",
            "bemol",
            "bemba",
            "bidón",
            "bilis",
            "betún",
            "borda",
            "botar",
            "boxeo",
            "brama",
            "brujo",
            "bucal",
            "budín",
            "bucle",
            "burdo",
            "cabal",
            "cable",
            "cabos",
            "cacao",
            "cactus",
            "caías",
            "calco",
            "caldo",
            "calce",
            "calas",
            "calar",
            "calma",
            "calor",
            "calvo",
            "calza",
            "campo",
            "canal",
            "canas",
            "canes",
            "caney",
            "canje",
            "canoa",
            "canon",
            "cansa",
            "canto",
            "canal",
            "cañas",
            "cañón",
            "caobo",
            "caños",
            "capaz",
            "caray",
            "caras",
            "cardo",
            "carey",
            "cargo",
            "carie",
            "carpa",
            "caros",
            "carta",
            "carro",
            "casar",
            "casco",
            "caspa",
            "casto",
            "causa",
            "catre",
            "cuaje",
            "causa",
            "cauto",
            "cavar",
            "cazar",
            "cebar",
            "cedro",
            "ceder",
            "cejas",
            "ceibo",
            "celar",
            "celda",
            "cenar",
            "comic",
            "censo",
            "cenit",
            "cerca",
            "cerco",
            "cesto",
            "cetro",
            "chapa",
            "checo",
            "chico",
            "chips",
            "choza",
            "chuzo",
            "cidra",
            "ciclo",
            "cifra",
            "ciego",
            "cinta",
            "cinco",
            "circo",
            "clama",
            "civil",
            "clavo",
            "clero",
            "clima",
            "colmo",
            "combo",
            "coche",
            "comer",
            "costa",
            "costo",
            "coxis",
            "croar",
            "cromo",
            "cruce",
            "crudo",
            "cueva",
            "curva",
            "cutis",
            "dados",
            "dagas",
            "damas",
            "dando",
            "dador",
            "danés",
            "danza",
            "dañar",
            "daños",
            "dardo",
            "darse",
            "dátil",
            "datos",
            "deber",
            "decaí",
            "debut",
            "decir",
            "dedal",
            "dedos",
            "dejar",
            "delta",
            "denso",
            "dentó",
            "desde",
            "deseo",
            "deuda",
            "diada",
            "dicha",
            "dicho",
            "dicta",
            "diera",
            "dieta",
            "digno",
            "dijes",
            "diodo",
            "diosa",
            "disco",
            "diván",
            "doble",
            "dobla",
            "dócil",
            "dogma",
            "doler",
            "dolor",
            "domar",
            "donar",
            "donde",
            "dones",
            "dopar",
            "dorar",
            "dormí",
            "dotar",
            "dorso",
            "dosis",
            "drago",
            "drama",
            "dreno",
            "ducha",
            "ducto",
            "dudar",
            "duelo",
            "dueña",
            "dulce",
            "duque",
            "durar",
            "duros",
            "ébano",
            "ebrio",
            "echar",
            "ecuas",
            "edema",
            "edito",
            "educa",
            "efuso",
            "egida",
            "egeas",
            "ejote",
            "eleva",
            "elfos",
            "elige",
            "elijo",
            "élite",
            "ellos",
            "ellas",
            "elles",
            "elote",
            "eluda",
            "elude",
            "emití",
            "emula",
            "enano",
            "encía",
            "enema",
            "enojo",
            "entre",
            "envía",
            "eolio",
            "épica",
            "época",
            "equis",
            "erguí",
            "ergos",
            "eriza",
            "erigí",
            "errar",
            "error",
            "espía",
            "esquí",
            "estar",
            "estoy",
            "etano",
            "ética",
            "étimo",
            "etnia",
            "evado",
            "evito",
            "evoco",
            "exige",
            "éxito",
            "éxodo",
            "facha",
            "fácil",
            "facto",
            "faena",
            "fagot",
            "fajar",
            "falaz",
            "falco",
            "falda",
            "falla",
            "falso",
            "falta",
            "fango",
            "feria",
            "farra",
            "farol",
            "farsa",
            "fasto",
            "fatal",
            "fauna",
            "favor",
            "fecha",
            "feliz",
            "felpa",
            "fémur",
            "fénix",
            "feroz",
            "ferry",
            "feudo",
            "fibra",
            "fiare",
            "ficha",
            "fideo",
            "fiera",
            "fijar",
            "filas",
            "filme",
            "final",
            "finca",
            "fingí",
            "fines",
            "firma",
            "flash",
            "flama",
            "flaco",
            "fleco",
            "flojo",
            "flora",
            "flota",
            "flema",
            "fluía",
            "flujo",
            "fobia",
            "fogón",
            "folio",
            "forcé",
            "forja",
            "forma",
            "fósil",
            "fotón",
            "frase",
            "friso",
            "freír",
            "freno",
            "fresa",
            "fruta",
            "fuego",
            "fuera",
            "funda",
            "furor",
            "fusil",
            "fusta",
            "gabán",
            "gafas",
            "gaita",
            "gajos",
            "galán",
            "galas",
            "galés",
            "galón",
            "ganar",
            "garra",
            "gases",
            "gasto",
            "gatea",
            "gemas",
            "gemir",
            "genio",
            "gente",
            "gesta",
            "girar",
            "giros",
            "glasé",
            "gleba",
            "grifo",
            "globo",
            "gnomo",
            "gozar",
            "golpe",
            "gordo",
            "gorro",
            "gotas",
            "goteo",
            "gozar",
            "grabe",
            "grada",
            "grado",
            "grafo",
            "grama",
            "gramo",
            "grano",
            "grapa",
            "grasa",
            "grato",
            "grave",
            "greca",
            "grial",
            "grito",
            "grill",
            "grima",
            "gripe",
            "grito",
            "gruñe",
            "grumo",
            "grupo",
            "gruta",
            "guapa",
            "guayo",
            "gueto",
            "guiar",
            "guiño",
            "gusto",
            "habas",
            "haber",
            "hábil",
            "habla",
            "hacer",
            "hacha",
            "hacia",
            "halar",
            "halla",
            "hampa",
            "harto",
            "hasta",
            "hazlo",
            "hebra",
            "hecho",
            "heces",
            "hedor",
            "helar",
            "helio",
            "henar",
            "herir",
            "héroe",
            "herró",
            "herví",
            "hiato",
            "hidra",
            "hielo",
            "higos",
            "hilar",
            "himno",
            "hindú",
            "hindi",
            "híper",
            "hobby",
            "hojas",
            "hogar",
            "hondo",
            "hongo",
            "honro",
            "horno",
            "horas",
            "hotel",
            "hueco",
            "huele",
            "hueso",
            "huevo",
            "huida",
            "humor",
            "hurto",
            "ibero",
            "icono",
            "ideal",
            "ideas",
            "ídolo",
            "ígneo",
            "igual",
            "ilesa",
            "iluso",
            "imana",
            "imita",
            "impar",
            "impío",
            "ingle",
            "infla",
            "insto",
            "inter",
            "iones",
            "infra",
            "irías",
            "istmo",
            "ítalo",
            "izara",
            "izare",
            "izote",
            "jadea",
            "jacta",
            "jabón",
            "jagua",
            "jaiba",
            "jalea",
            "jalón",
            "jamar",
            "jaque",
            "jarca",
            "jarra",
            "jarro",
            "jauda",
            "jaula",
            "javas",
            "jayán",
            "jedar",
            "jefas",
            "jerez",
            "jolín",
            "jopar",
            "joven",
            "joyas",
            "juicio",
            "judío",
            "juego",
            "juega",
            "jugar",
            "junio",
            "jumar",
            "junta",
            "junco",
            "jurar",
            "justo",
            "juzga",
            "kanji",
            "kappa",
            "karma",
            "karts",
            "kayak",
            "kéfir",
            "kilos",
            "kirie",
            "koiné",
            "kurda",
            "kurdo",
            "labio",
            "labro",
            "lacia",
            "labor",
            "lacta",
            "ladea",
            "lados",
            "ladra",
            "laico",
            "lamer",
            "lanas",
            "lance",
            "landó",
            "lanza",
            "lanzó",
            "lapos",
            "lapso",
            "lápiz",
            "largo",
            "larva",
            "lares",
            "latas",
            "látex",
            "latir",
            "latón",
            "leuda",
            "lavar",
            "laxos",
            "lazar",
            "léase",
            "leche",
            "legal",
            "legar",
            "logro",
            "legía",
            "lejos",
            "lento",
            "leñar",
            "leños",
            "lepra",
            "letal",
            "levar",
            "leyes",
            "leves",
            "liada",
            "liana",
            "líber",
            "libra",
            "libre",
            "libro",
            "licua",
            "liceo",
            "licor",
            "líder",
            "lidio",
            "ligar",
            "light",
            "lijar",
            "limón",
            "limas",
            "linda",
            "línea",
            "linio",
            "lirio",
            "lista",
            "listo",
            "litro",
            "llama",
            "llaga",
            "llave",
            "llego",
            "llena",
            "lleve",
            "llora",
            "local",
            "logro",
            "logos",
            "lucha",
            "lucid",
            "lucro",
            "luego",
            "lugar",
            "lunar",
            "lunes",
            "lupus",
            "luxar",
            "luzco",
            "madre",
            "mafia",
            "magma",
            "magna",
            "magra",
            "magia",
            "majal",
            "malos",
            "malla",
            "mamás",
            "mamas",
            "mamey",
            "mamón",
            "momia",
            "manar",
            "manda",
            "mando",
            "menea",
            "manga",
            "mango",
            "manía",
            "manos",
            "manta",
            "mansa",
            "mañas",
            "maorí",
            "mapeo",
            "marca",
            "marea",
            "marzo",
            "marte",
            "matar",
            "matiz",
            "mecer",
            "mecha",
            "media",
            "medir",
            "medio",
            "megas",
            "melón",
            "memes",
            "manso",
            "menso",
            "menos",
            "mente",
            "menta",
            "mutar",
            "merco",
            "merey",
            "metal",
            "metas",
            "meter",
            "metro",
            "micro",
            "minar",
            "miope",
            "mioma",
            "mirar",
            "misil",
            "mismo",
            "mixto",
            "modem",
            "mofar",
            "mohín",
            "molar",
            "molde",
            "momia",
            "mundo",
            "monje",
            "monja",
            "moral",
            "morir",
            "motín",
            "mover",
            "mucho",
            "mueca",
            "muela",
            "mujer",
            "mundo",
            "mutuo",
            "nabos",
            "nácar",
            "nacer",
            "negro",
            "nadar",
            "nadir",
            "nadie",
            "nafta",
            "naipe",
            "nardo",
            "nariz",
            "narra",
            "nasal",
            "natío",
            "naval",
            "naves",
            "neblí",
            "necio",
            "negar",
            "nevar",
            "nexos",
            "nicho",
            "niega",
            "nieve",
            "nuevo",
            "nilón",
            "nieto",
            "nieta",
            "ninfo",
            "niñez",
            "nivel",
            "nobel",
            "noche",
            "nitro",
            "nodos",
            "nogal",
            "norma",
            "norte",
            "notar",
            "nubes",
            "núbil",
            "nuble",
            "nuero",
            "nuevo",
            "nueve",
            "ñoras",
            "ñongo",
            "ñaque",
            "ñecas",
            "ñatos",
            "ñatas",
            "ñapas",
            "ñango",
            "ñanga",
            "ñoqui",
            "ñames",
            "ñajos",
            "ñonga",
            "ñoñez",
            "ñocas",
            "ñoños",
            "ñique",
            "ñipes",
            "ñinga",
            "obeso",
            "oblea",
            "óbito",
            "oboes",
            "obrar",
            "obtén",
            "obvio",
            "ocaso",
            "octal",
            "ocumo",
            "ocupa",
            "odiar",
            "oeste",
            "odres",
            "ohmio",
            "oíble",
            "oídos",
            "ojalá",
            "ojear",
            "ojera",
            "olivo",
            "omega",
            "omino",
            "omiso",
            "omita",
            "ondas",
            "ondea",
            "onoto",
            "opaco",
            "opera",
            "ópera",
            "opino",
            "opone",
            "optar",
            "orcos",
            "orden",
            "orear",
            "oreja",
            "orfos",
            "orina",
            "orión",
            "oruga",
            "osada",
            "ostia",
            "otoño",
            "ovalo",
            "otras",
            "óvulo",
            "oxido",
            "ozono",
            "pacto",
            "padre",
            "pagar",
            "paila",
            "pajar",
            "palco",
            "polea",
            "palca",
            "palma",
            "panal",
            "panel",
            "papal",
            "papás",
            "papas",
            "papel",
            "parar",
            "pardo",
            "pared",
            "parir",
            "parla",
            "parto",
            "parva",
            "parte",
            "pasar",
            "pasas",
            "paseo",
            "pasmo",
            "pasos",
            "pasto",
            "patas",
            "patín",
            "patio",
            "pausa",
            "pauta",
            "peaje",
            "pecar",
            "pecho",
            "pedal",
            "pedir",
            "pegar",
            "peine",
            "penal",
            "penar",
            "penca",
            "penas",
            "peñón",
            "peque",
            "perno",
            "pesar",
            "pesca",
            "pezón",
            "piano",
            "picar",
            "pecas",
            "picor",
            "pilla",
            "pinta",
            "pinza",
            "piñón",
            "pique",
            "pisar",
            "pista",
            "pitar",
            "pixel",
            "pizca",
            "pívot",
            "pizza",
            "placa",
            "place",
            "plaga",
            "plano",
            "plata",
            "plato",
            "playa",
            "plaza",
            "plazo",
            "plano",
            "plomo",
            "pluma",
            "podar",
            "poder",
            "poeta",
            "polca",
            "polen",
            "polea",
            "polvo",
            "poner",
            "posar",
            "poste",
            "prado",
            "prima",
            "primo",
            "prior",
            "prisa",
            "prosa",
            "pudin",
            "púber",
            "pudor",
            "pugna",
            "pujar",
            "pulir",
            "pulso",
            "pulse",
            "punir",
            "punta",
            "punza",
            "purga",
            "puzle",
            "quark",
            "queco",
            "queda",
            "quedo",
            "queja",
            "quema",
            "quemí",
            "quena",
            "quepo",
            "quera",
            "quien",
            "quién",
            "queso",
            "quijo",
            "quila",
            "quipa",
            "quina",
            "quino",
            "quiño",
            "quizá",
            "quite",
            "quito",
            "rabia",
            "rabas",
            "rocío",
            "radar",
            "recio",
            "radio",
            "radón",
            "ragua",
            "rahez",
            "raído",
            "rioja",
            "rajar",
            "rajen",
            "raigo",
            "ralla",
            "ramas",
            "rampa",
            "rango",
            "rapar",
            "rapaz",
            "rapte",
            "repta",
            "rapto",
            "rasar",
            "rasco",
            "rasca",
            "rasgo",
            "raspa",
            "raspe",
            "ratos",
            "rauda",
            "raudo",
            "rayar",
            "rayos",
            "razón",
            "remar",
            "reata",
            "recae",
            "roble",
            "recen",
            "recaí",
            "recta",
            "recia",
            "regia",
            "regla",
            "regar",
            "rehén",
            "reino",
            "reloj",
            "renal",
            "remos",
            "renta",
            "reñir",
            "reojo",
            "resta",
            "retar",
            "reten",
            "reuma",
            "retro",
            "reúne",
            "reúso",
            "revés",
            "rezar",
            "riego",
            "rifar",
            "rifle",
            "rigor",
            "rimas",
            "rinde",
            "ruina",
            "rival",
            "ritmo",
            "robar",
            "roble",
            "robot",
            "rodar",
            "rodeo",
            "rogar",
            "roído",
            "rollo",
            "rombo",
            "rompe",
            "ronca",
            "rosca",
            "rubor",
            "rubro",
            "rugir",
            "rumba",
            "rumie",
            "saber",
            "sacar",
            "sabio",
            "sabor",
            "sacia",
            "sacro",
            "sagaz",
            "sajón",
            "salar",
            "salda",
            "soldé",
            "saldo",
            "salir",
            "salió",
            "sallé",
            "salme",
            "salmo",
            "salsa",
            "salón",
            "salta",
            "salte",
            "selva",
            "salve",
            "samán",
            "salto",
            "salud",
            "salve",
            "salvo",
            "samba",
            "samia",
            "sanar",
            "sanco",
            "santa",
            "santo",
            "sarda",
            "sarna",
            "saqué",
            "satín",
            "sauce",
            "sardo",
            "sauco",
            "sauna",
            "savia",
            "sazón",
            "secar",
            "secta",
            "secua",
            "sedal",
            "sedar",
            "segar",
            "según",
            "segur",
            "sello",
            "senda",
            "senil",
            "señal",
            "señor",
            "sepia",
            "septo",
            "seres",
            "serio",
            "sexto",
            "sigla",
            "siglo",
            "silla",
            "símil",
            "sismo",
            "sitio",
            "sobre",
            "socas",
            "socia",
            "socio",
            "sodio",
            "solar",
            "somos",
            "sonar",
            "soñar",
            "soplo",
            "sordo",
            "sorbo",
            "suave",
            "sucio",
            "sudar",
            "suelo",
            "suero",
            "sufre",
            "sumar",
            "súper",
            "sutil",
            "tabla",
            "tacho",
            "tacón",
            "tacto",
            "tacos",
            "tahúr",
            "taima",
            "taino",
            "taita",
            "tajar",
            "talar",
            "tajos",
            "talco",
            "tales",
            "talla",
            "talón",
            "talud",
            "tamiz",
            "tanga",
            "tango",
            "tanda",
            "tanta",
            "tanto",
            "tañar",
            "tapar",
            "taran",
            "tarde",
            "tardo",
            "tarea",
            "tarot",
            "tasar",
            "tasca",
            "tarro",
            "tasco",
            "tatúo",
            "taxón",
            "tazar",
            "tauro",
            "techo",
            "tecla",
            "tedio",
            "tejas",
            "tejer",
            "telar",
            "telón",
            "temas",
            "temer",
            "temor",
            "tempo",
            "tener",
            "tendí",
            "tenis",
            "tenor",
            "tenso",
            "terco",
            "temor",
            "termo",
            "terso",
            "tesis",
            "tetra",
            "texto",
            "tibio",
            "tiara",
            "tirso",
            "tieso",
            "tilde",
            "tilín",
            "timar",
            "timón",
            "tinto",
            "teñir",
            "tiple",
            "tirar",
            "tirón",
            "titán",
            "tocar",
            "toldo",
            "tomar",
            "tomos",
            "tonto",
            "túnel",
            "topar",
            "toque",
            "tórax",
            "tosco",
            "toser",
            "tótem",
            "traer",
            "trama",
            "trans",
            "trapo",
            "trato",
            "trial",
            "tribu",
            "trina",
            "tripa",
            "triza",
            "trozo",
            "tropa",
            "troto",
            "trova",
            "trono",
            "truco",
            "tumba",
            "tupir",
            "turbo",
            "turno",
            "tutor",
            "ubres",
            "ubico",
            "ubica",
            "ufana",
            "ulema",
            "ultra",
            "ulula",
            "umbra",
            "uncen",
            "unido",
            "uncir",
            "uncía",
            "únete",
            "ungir",
            "unión",
            "untar",
            "unzan",
            "untos",
            "Urano",
            "urdía",
            "urbes",
            "urdir",
            "urgió",
            "urjas",
            "úrico",
            "úrica",
            "usado",
            "usara",
            "usaré",
            "usase",
            "usías",
            "usted",
            "usual",
            "usure",
            "útero",
            "úvula",
            "vacío",
            "vadea",
            "vagar",
            "vagón",
            "video",
            "valer",
            "valla",
            "valor",
            "vamos",
            "vapor",
            "vanos",
            "varar",
            "vario",
            "varía",
            "varón",
            "vasco",
            "váter",
            "vatio",
            "vayan",
            "véase",
            "vedar",
            "vejez",
            "velar",
            "velón",
            "vence",
            "vende",
            "vengo",
            "venia",
            "venta",
            "venus",
            "veras",
            "venia",
            "verbo",
            "verso",
            "vermú",
            "vertí",
            "viaje",
            "vibra",
            "vicio",
            "viejo",
            "vieja",
            "vigía",
            "vigor",
            "villa",
            "viral",
            "visco",
            "vital",
            "vivaz",
            "vivir",
            "viudo",
            "visto",
            "viste",
            "vocal",
            "vodka",
            "volar",
            "votar",
            "vuelo",
            "watts",
            "weber",
            "xecas",
            "xenón",
            "xinca",
            "xiote",
            "xolas",
            "xolos",
            "yacer",
            "yates",
            "yelmo",
            "yergo",
            "yendo",
            "yenes",
            "yerba",
            "yedra",
            "yerma",
            "yerna",
            "yerno",
            "yerra",
            "yesca",
            "yogui",
            "yogur",
            "yumbo",
            "yodos",
            "yunta",
            "yezgo",
            "zafar",
            "zafio",
            "zafia",
            "zagas",
            "zagal",
            "zamba",
            "zanco",
            "zanja",
            "zarpa",
            "zarzo",
            "zenda",
            "zetas",
            "zocas",
            "zombi",
            "zueco",
            "zumba",
            "zumbo",
            "zupia",
            "zuñir",
            "zurcí",
            "zurdo",
            "zurda",
            "zurza",
            "Jacob",
            "María",
            "Susan",
            "Óscar",
            "Laura",
            "David",
            "Nadia",
            "James",
            "Jesús",
            "Josué",
            "Javier",
            "Saraí",
            "Saray",
            "Aimé",
            "Alexa",
            "Anais",
            "Lucas",
            "Adamo",
            "Ágata",
            "Agnus",
            "Zoila",
            "Ángel",
            "Antia",
            "Berta",
            "Vilma",
            "Bimba",
            "Juana",
            "Celia",
            "César",
            "Dalia",
            "Nubia",
            "Lucia",
            "Sofía",
            "Lucas",
            "Daría",
            "Darío",
            "Mario",
            "Mauro",
            "Diana",
            "Frank",
            "Dimas",
            "Edipo",
            "Nicol",
            "Jolie",
            "Julio",
            "Ester",
            "Guido",
            "Paula",
            "Tania",
            "Linda",
            "Lucio",
            "Marco",
            "Pablo",
            "Ramón",
            "Sasha",
            "Romeo",
            "Cádiz",
            "Ibiza",
            "Argel",
            "Cuzco",
            "Papúa",
            "Cauca",
            "Andes",
            "Alpes",
            "Sudan",
            "Congo",
            "China",
            "Congo",
            "Ejión",
            "Judea",
            "Kenia",
            "Libia",
            "Moscú",
            "Petra",
            "Nepal",
            "Quito",
            "Saudí",
            "Vegas",
            "Siena",
            "Macao",
            "Suiza",
            "ñandú",
            "araña",
            "abeja",
            "oveja",
            "ameba",
            "cebra",
            "hiena",
            "yegua",
            "perro",
            "perra",
            "llama",
            "cerdo",
            "bagre",
            "lémur",
            "cobra",
            "coquí",
            "okapi",
            "leona",
            "tigre",
            "lince",
            "burro",
            "burra",
            "gallo",
            "saíno",
            "zorro",
            "zorra",
            "corzo",
            "erizo",
            "ganso",
            "pitón",
            "simio",
            "ostra",
            "tucán",
            "ovino",
            "mamut",
            "garza",
            "koala",
            "mirlo",
            "morsa",
            "panda",
            "larva",
            "piojo",
            "potro",
            "potra",
            "corúa",
            "mosca",
            "mosco",
            "cabra",
            "cebra",
            "danta",
            "coatí",
            "pulpo",
            "tenia",
            "chivo"
    )
    return words
}

